package com.sifang.modules.sunshine.SystemSetting.form;

import org.hibernate.validator.constraints.NotBlank;

import java.io.Serializable;

/**
 * 导入产品信息Dto
 * @author hz
 */
public class AddProjectInfo implements Serializable {
    private String id;  //序号
    @NotBlank(message = "产品编号不能为空")
    private String code;  //产品编号
    @NotBlank(message = "产品名称不能为空")
    private String name;  //产品名称
    @NotBlank(message = "所属产品线不能为空")
    private String productLineId;  //所属产品线
    @NotBlank(message = "备案方式不能为空")
    private String filingType;  //备案方式

    @NotBlank(message = "省不能为空")
    private String province;
    @NotBlank(message = "市不能为空")
    private String city;
    @NotBlank(message = "EPC公司不能为空")
    private String epcCompanyId;  //epc公司
    @NotBlank(message = "所属项目公司编号不能为空")
    private String projectCompanyId;  //所属项目公司编号
    @NotBlank(message = "EPC单价不能为空")
    private String  epcPrice;   //epc单价
    @NotBlank(message = "租金支付周期不能为空")
    private String payCycle;   // 租金支付周期
    @NotBlank(message = "组件规格不能为空")
    private String assemblySpecs;       //组件规格
    @NotBlank(message = "请选择是否国网授权")
    private String stateAuthorizedFlag;  //是否国网授权
    @NotBlank(message = "资方名称不能为空")
    private String managementType;      //资方名称
    @NotBlank(message = "请选择是否购买保险")
    private String buyInsuranceFlag;   //是否购买保险
    @NotBlank(message = "保险名称不能为空")
    private String insuranceName;        //保险名称

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getProductLineId() {
        return productLineId;
    }

    public void setProductLineId(String productLineId) {
        this.productLineId = productLineId;
    }

    public String getFilingType() {
        return filingType;
    }

    public void setFilingType(String filingType) {
        this.filingType = filingType;
    }

    public String getEpcCompanyId() {
        return epcCompanyId;
    }

    public void setEpcCompanyId(String epcCompanyId) {
        this.epcCompanyId = epcCompanyId;
    }

    public String getProjectCompanyId() {
        return projectCompanyId;
    }

    public void setProjectCompanyId(String projectCompanyId) {
        this.projectCompanyId = projectCompanyId;
    }

    public String getEpcPrice() {
        return epcPrice;
    }

    public void setEpcPrice(String epcPrice) {
        this.epcPrice = epcPrice;
    }

    public String getPayCycle() {
        return payCycle;
    }

    public void setPayCycle(String payCycle) {
        this.payCycle = payCycle;
    }

    public String getAssemblySpecs() {
        return assemblySpecs;
    }

    public void setAssemblySpecs(String assemblySpecs) {
        this.assemblySpecs = assemblySpecs;
    }

    public String getStateAuthorizedFlag() {
        return stateAuthorizedFlag;
    }

    public void setStateAuthorizedFlag(String stateAuthorizedFlag) {
        this.stateAuthorizedFlag = stateAuthorizedFlag;
    }

    public String getManagementType() {
        return managementType;
    }

    public void setManagementType(String managementType) {
        this.managementType = managementType;
    }

    public String getBuyInsuranceFlag() {
        return buyInsuranceFlag;
    }

    public void setBuyInsuranceFlag(String buyInsuranceFlag) {
        this.buyInsuranceFlag = buyInsuranceFlag;
    }

    public String getInsuranceName() {
        return insuranceName;
    }

    public void setInsuranceName(String insuranceName) {
        this.insuranceName = insuranceName;
    }
}
